Package Details: blockdiag 1.5.3-5

Git Clone URL: https://aur.archlinux.org/blockdiag.git (read-only)
Package Base: blockdiag
Description: simple block-diagram image generator
Upstream URL: http://blockdiag.com/en/blockdiag/index.html
Licenses: Apache
Submitter: luk4s
Maintainer: alexanderp
Last Packager: alexanderp
Votes: 5
Popularity: 0.493641
First Submitted: 2015-08-19 20:43
Last Updated: 2017-05-12 18:25

Latest Comments

alexanderp commented on 2017-05-12 17:59

Adopted and fixed the package.

puffybsd commented on 2017-04-24 02:22

Missing funcparserlib dependency. After manually installing funcparserlib with pip and removing it from the build file, the package installed.

sudo pip install funcparserlib

sekret commented on 2015-08-23 19:13

Still (at least) one dependency missing: python-pillow

Otherwise:
$ blockdiag
Traceback (most recent call last):
File "/usr/bin/blockdiag", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3084, in <module>
@_call_aside
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3070, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3097, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 651, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 952, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 839, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'Pillow' distribution was not found and is required by blockdiag

shaggytwodope commented on 2015-08-19 21:35

missing depends, funcparserlib and python-webcolors